Map
curl --request POST \
--url https://api.firecrawl.dev/v1/map \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"url": "<string>",
"search": "<string>",
"ignoreSitemap": true,
"sitemapOnly": false,
"includeSubdomains": true,
"limit": 5000,
"timeout": 123,
"location": {
"country": "US",
"languages": [
"en-US"
]
}
}
'import requests
url = "https://api.firecrawl.dev/v1/map"
payload = {
"url": "<string>",
"search": "<string>",
"ignoreSitemap": True,
"sitemapOnly": False,
"includeSubdomains": True,
"limit": 5000,
"timeout": 123,
"location": {
"country": "US",
"languages": ["en-US"]
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
url: '<string>',
search: '<string>',
ignoreSitemap: true,
sitemapOnly: false,
includeSubdomains: true,
limit: 5000,
timeout: 123,
location: {country: 'US', languages: ['en-US']}
})
};
fetch('https://api.firecrawl.dev/v1/map', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"links": [
"<string>"
]
}{
"error": "Payment required to access this resource."
}{
"error": "Request rate limit exceeded. Please wait and try again later."
}{
"error": "An unexpected error occurred on the server."
}Remarque : une nouvelle version v2 de cette API est désormais disponible, avec des fonctionnalités et des performances améliorées.
Autorisations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Corps
L’URL de base à partir de laquelle démarrer l’exploration
Requête de recherche à utiliser pour la cartographie. Pendant la phase Alpha, la partie « intelligente » de la fonction de recherche est limitée à 500 résultats. En revanche, si « map » renvoie davantage de résultats, aucune limite n’est appliquée.
Ignorer le sitemap du site lors de l’exploration.
Ne renvoyer que les liens présents dans le sitemap du site web
Inclure les sous-domaines du site
Nombre maximal de liens renvoyés
x <= 30000Délai d’expiration en millisecondes. Aucun délai d’expiration n’est défini par défaut.
Paramètres de localisation pour la requête. Lorsqu’ils sont spécifiés, un proxy approprié sera utilisé si disponible et les paramètres de langue et de fuseau horaire correspondants seront émulés. La valeur par défaut est « US » si aucun paramètre n’est indiqué.
Show child attributes
Show child attributes
